# ai_abstractlist.cpp File Reference

Implementation of AIAbstractList. More...

`#include "ai_abstractlist.hpp"`
`#include "../../debug.h"`
`#include "../../script/squirrel.hpp"`

Go to the source code of this file.

## Data Structures

class | AIAbstractListSorter
| Base class for any AIAbstractList sorter. More...
class | AIAbstractListSorterValueAscending
| Sort by value, ascending. More...
class | AIAbstractListSorterValueDescending
| Sort by value, descending. More...
class | AIAbstractListSorterItemAscending
| Sort by item, ascending. More...
class | AIAbstractListSorterItemDescending
| Sort by item, descending. More...

## Detailed Description

Implementation of AIAbstractList.

Definition in file ai_abstractlist.cpp.